//	Zinc Application Framework - M_DSP.CPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_dsp.hpp>

// --- Bitmap ---------------------------------------------------------------

ZafError ZafDisplay::InitializeOSBitmap(ZafBitmapStruct &bitmap)
{
	// Set the OS handles.
	bitmap.handle = bitmap.mask = 0;

	// Return success.
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSBitmap(ZafBitmapStruct &bitmap, const ZafBitmapStruct &copy)
{
	// Reset the OS handles.
	bitmap.handle = copy.handle;
	bitmap.mask = copy.mask;

	// Return success.
	return (ZAF_ERROR_NONE);
}

// --- Icon -----------------------------------------------------------------


ZafError ZafDisplay::InitializeOSIcon(ZafIconStruct &icon)
{
	// Set the OS handles.
	icon.handle = icon.mask = 0;

	// Return success.
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSIcon(ZafIconStruct &icon, const ZafIconStruct &copy)
{
	// Reset the OS handles.
	icon.handle = copy.handle;
	icon.mask = copy.mask;

	// Return success.
	return (ZAF_ERROR_NONE);
}

// --- Mouse -----------------------------------------------------------------

ZafError ZafDisplay::InitializeOSMouse(ZafMouseStruct &mouse)
{
	// Set the OS handle.
	mouse.handle = 0;

	// Return success.
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSMouse(ZafMouseStruct &mouse, const ZafMouseStruct &copy)
{
	// Reset the OS handle.
	mouse.handle = copy.handle;

	// Return success.
	return (ZAF_ERROR_NONE);
}


